%define oname	ExMplayer

Name:		exmplayer
Version:	5.0.1
Release:	%mkrel 5
Summary:	MPlayer GUI with thumbnail seeking and 3D Video support
License:	GPLv2+
Group:		Video/Players
Url:		http://exmplayer.sourceforge.net/
Source0:	https://github.com/rupeshs/ExMplayer/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		exmplayer-3.8.0-segfault.patch
Patch1:		exmplayer-5.0.1-int3.patch

BuildRequires:	cmake
BuildRequires:	ffmpeg
BuildRequires:	imagemagick
BuildRequires:	qt4-devel
BuildRequires:	ffmpeg-devel

Requires:	ffmpeg
Requires:	mplayer
Recommends:	youtube-dl

%description
ExMplayer (Extended MPlayer) is a GUI front-end for MPlayer with flow view
and tool like media cutter. It can play audio, video, dvd files(.vob), vcd
files(.mpg,.dat) etc and supports network streaming. It supports subtitles,
subtitle decoding is done by using ass library. It can play any media formats
without any external codecs.


%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

# wrong-file-end-of-line-encoding
sed -i 's/\r$//' Release_notes.txt README.md

%build
%qmake_qt4 src/%{oname}.pro
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_bindir}
install -m 0755 %{name} %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_sysconfdir}/%{name}
install -m 0644 linux_build/fmts %{buildroot}%{_sysconfdir}/%{name}/fmts
install -m 0644 linux_build/sc_default.xml %{buildroot}%{_sysconfdir}/%{name}/sc_default.xml

mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -m 0644 %{name}_enqueue.desktop %{buildroot}%{_datadir}/applications/%{name}_enqueue.desktop

mkdir -p %{buildroot}%{_datadir}/%{name}
ln -s %{_bindir}/ffmpeg %{buildroot}%{_datadir}/%{name}/ffmpeg

# install menu icons
for N in 16 32 48 64 128 256;
do
  convert debian/%{name}.png -resize ${N}x${N} $N.png;
  install -D -m 0644 $N.png %{buildroot}%{_iconsdir}/hicolor/${N}x${N}/apps/%{name}.png
done

%files
%doc README.md Release_notes.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}_enqueue.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%config(noreplace) %{_sysconfdir}/%{name}/fmts
%config(noreplace) %{_sysconfdir}/%{name}/sc_default.xml


%changelog
* Tue May 02 2017 akien <akien> 5.0.1-5.mga6
+ Revision: 1098278
- Rebuild for ffmpeg 3.3

* Wed Jul 13 2016 pterjan <pterjan> 5.0.1-4.mga6
+ Revision: 1041952
- Only use int3 on x86

* Fri Feb 19 2016 umeabot <umeabot> 5.0.1-3.mga6
+ Revision: 969029
- Mageia 6 Mass Rebuild

* Tue Jul 28 2015 daviddavid <daviddavid> 5.0.1-2.mga6
+ Revision: 858766
- add youtube-dl as a Recommends
  * as exmplayer integrates a Video Downloader feature using youtube-dl

* Tue Jul 28 2015 daviddavid <daviddavid> 5.0.1-1.mga6
+ Revision: 858726
- imported package exmplayer

